package com.iamberry.wechat.handles.personality;

import com.iamberry.wechat.core.entity.ResultMsg;
import com.iamberry.wechat.core.entity.member.Member;
import com.iamberry.wechat.core.entity.personality.PersonalityAnswer;
import com.iamberry.wechat.core.entity.personality.PersonalityBooks;
import com.iamberry.wechat.core.entity.personality.PersonalityRecommended;
import com.iamberry.wechat.core.entity.personality.PersonalitySubject;
import com.iamberry.wechat.face.Personality.PersonalitySubjectService;
import com.iamberry.wechat.face.member.MemberService;
import com.iamberry.wechat.tools.ResultInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Controller
@RequestMapping("/wechat/personality")
public class personalityHandler {

    @Autowired
    private PersonalitySubjectService personalitySubjectService;

    @Autowired
    private MemberService memberService;
    /**
     * 获取题目
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/listSubject")
    public ResultMsg checkOrderPaySuccess(HttpServletRequest request) {
        ResultMsg msg = new ResultMsg();
        /*Member member = WechatUtils.getUserBySession(request);*/
        List<PersonalitySubject> listPersonalitySubject = personalitySubjectService.listSubject();
        Map<String,Object> map = new HashMap<String,Object>();
        map.put("listPersonalitySubject", listPersonalitySubject);
        msg.setResultCode(ResultInfo.SUCCESSCODE);
        msg.setStatus(true);
        msg.setData(map);
        return msg;
    }
    /**
     * 获取推荐内容
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/getRecommended")
    public ResultMsg getPersonalityRecommended(HttpServletRequest request,PersonalityRecommended personalityRecommended) {
        ResultMsg msg = new ResultMsg();
        /*Member member = WechatUtils.getUserBySession(request);*/
        PersonalityRecommended recommended = personalitySubjectService.getRecommended(personalityRecommended);
        List<PersonalityBooks> listBooks = personalitySubjectService.getBooks(recommended.getRecommendedId());
        recommended.setListPersonalityBooks(listBooks);
        Map<String,Object> map = new HashMap<String,Object>();
        map.put("recommended", recommended);
        msg.setResultCode(ResultInfo.SUCCESSCODE);
        msg.setStatus(true);
        msg.setData(map);
        return msg;
    }
}
